Loading...
Searching...
No Matches
DRTIonControlPointDeliverySequence::Item Class Reference

Item class. More...

Inheritance diagram for DRTIonControlPointDeliverySequence::Item:

## Public Member Functions

| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor
| Item (const Item &copy)
| copy constructor
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item
OFCondition | read (DcmItem &item)
| read elements from sequence item
OFCondition | write (DcmItem &item)
| write elements to sequence item
OFCondition | getBeamLimitingDeviceAngle (OFString &value, const signed long pos=0) const
| get BeamLimitingDeviceAngle (300a,0120)
OFCondition | getBeamLimitingDeviceAngle (Float64 &value, const unsigned long pos=0) const
| get BeamLimitingDeviceAngle (300a,0120)
OFCondition | getBeamLimitingDeviceRotationDirection (OFString &value, const signed long pos=0) const
| get BeamLimitingDeviceRotationDirection (300a,0121)
OFCondition | getChairHeadFramePosition (OFString &value, const signed long pos=0) const
| get ChairHeadFramePosition (300a,0151)
OFCondition | getChairHeadFramePosition (Float64 &value, const unsigned long pos=0) const
| get ChairHeadFramePosition (300a,0151)
OFCondition | getDeliveredMeterset (OFString &value, const signed long pos=0) const
| get DeliveredMeterset (3008,0044)
OFCondition | getDeliveredMeterset (Float64 &value, const unsigned long pos=0) const
| get DeliveredMeterset (3008,0044)
OFCondition | getGantryAngle (OFString &value, const signed long pos=0) const
| get GantryAngle (300a,011e)
OFCondition | getGantryAngle (Float64 &value, const unsigned long pos=0) const
| get GantryAngle (300a,011e)
OFCondition | getGantryPitchAngle (Float32 &value, const unsigned long pos=0) const
| get GantryPitchAngle (300a,014a)
OFCondition | getGantryPitchRotationDirection (OFString &value, const signed long pos=0) const
| get GantryPitchRotationDirection (300a,014c)
OFCondition | getGantryRotationDirection (OFString &value, const signed long pos=0) const
| get GantryRotationDirection (300a,011f)
OFCondition | getHeadFixationAngle (Float32 &value, const unsigned long pos=0) const
| get HeadFixationAngle (300a,0148)
OFCondition | getKVP (OFString &value, const signed long pos=0) const
| get KVP (0018,0060)
OFCondition | getKVP (Float64 &value, const unsigned long pos=0) const
| get KVP (0018,0060)
OFCondition | getMetersetRateDelivered (Float32 &value, const unsigned long pos=0) const
| get MetersetRateDelivered (3008,0046)
OFCondition | getMetersetRateSet (Float32 &value, const unsigned long pos=0) const
| get MetersetRateSet (3008,0045)
OFCondition | getNominalBeamEnergy (OFString &value, const signed long pos=0) const
| get NominalBeamEnergy (300a,0114)
OFCondition | getNominalBeamEnergy (Float64 &value, const unsigned long pos=0) const
| get NominalBeamEnergy (300a,0114)
OFCondition | getNumberOfPaintings (OFString &value, const signed long pos=0) const
| get NumberOfPaintings (300a,039a)
OFCondition | getNumberOfPaintings (Sint32 &value, const unsigned long pos=0) const
| get NumberOfPaintings (300a,039a)
OFCondition | getNumberOfScanSpotPositions (OFString &value, const signed long pos=0) const
| get NumberOfScanSpotPositions (300a,0392)
OFCondition | getNumberOfScanSpotPositions (Sint32 &value, const unsigned long pos=0) const
| get NumberOfScanSpotPositions (300a,0392)
OFCondition | getPatientSupportAngle (OFString &value, const signed long pos=0) const
| get PatientSupportAngle (300a,0122)
OFCondition | getPatientSupportAngle (Float64 &value, const unsigned long pos=0) const
| get PatientSupportAngle (300a,0122)
OFCondition | getPatientSupportRotationDirection (OFString &value, const signed long pos=0) const
| get PatientSupportRotationDirection (300a,0123)
OFCondition | getReferencedControlPointIndex (OFString &value, const signed long pos=0) const
| get ReferencedControlPointIndex (300c,00f0)
OFCondition | getReferencedControlPointIndex (Sint32 &value, const unsigned long pos=0) const
| get ReferencedControlPointIndex (300c,00f0)
OFCondition | getScanSpotMetersetsDelivered (Float32 &value, const unsigned long pos=0) const
| get ScanSpotMetersetsDelivered (3008,0047)
OFCondition | getScanSpotPositionMap (Float32 &value, const unsigned long pos=0) const
| get ScanSpotPositionMap (300a,0394)
OFCondition | getScanSpotPrescribedIndices (OFString &value, const signed long pos=0) const
| get ScanSpotPrescribedIndices (300a,0391)
OFCondition | getScanSpotPrescribedIndices (Sint32 &value, const unsigned long pos=0) const
| get ScanSpotPrescribedIndices (300a,0391)
OFCondition | getScanSpotReordered (OFString &value, const signed long pos=0) const
| get ScanSpotReordered (300a,0393)
OFCondition | getScanSpotSizesDelivered (Float32 &value, const unsigned long pos=0) const
| get ScanSpotSizesDelivered (300a,0399)
OFCondition | getScanSpotTimeOffset (Float32 &value, const unsigned long pos=0) const
| get ScanSpotTimeOffset (300a,038f)
OFCondition | getScanSpotTuneID (OFString &value, const signed long pos=0) const
| get ScanSpotTuneID (300a,0390)
OFCondition | getScanningSpotSize (Float32 &value, const unsigned long pos=0) const
| get ScanningSpotSize (300a,0398)
OFCondition | getSnoutPosition (Float32 &value, const unsigned long pos=0) const
| get SnoutPosition (300a,030d)
OFCondition | getSpecifiedMeterset (OFString &value, const signed long pos=0) const
| get SpecifiedMeterset (3008,0042)
OFCondition | getSpecifiedMeterset (Float64 &value, const unsigned long pos=0) const
| get SpecifiedMeterset (3008,0042)
OFCondition | getTableTopLateralPosition (OFString &value, const signed long pos=0) const
| get TableTopLateralPosition (300a,012a)
OFCondition | getTableTopLateralPosition (Float64 &value, const unsigned long pos=0) const
| get TableTopLateralPosition (300a,012a)
OFCondition | getTableTopLongitudinalPosition (OFString &value, const signed long pos=0) const
| get TableTopLongitudinalPosition (300a,0129)
OFCondition | getTableTopLongitudinalPosition (Float64 &value, const unsigned long pos=0) const
| get TableTopLongitudinalPosition (300a,0129)
OFCondition | getTableTopPitchAngle (Float32 &value, const unsigned long pos=0) const
| get TableTopPitchAngle (300a,0140)
OFCondition | getTableTopPitchRotationDirection (OFString &value, const signed long pos=0) const
| get TableTopPitchRotationDirection (300a,0142)
OFCondition | getTableTopRollAngle (Float32 &value, const unsigned long pos=0) const
| get TableTopRollAngle (300a,0144)
OFCondition | getTableTopRollRotationDirection (OFString &value, const signed long pos=0) const
| get TableTopRollRotationDirection (300a,0146)
OFCondition | getTableTopVerticalPosition (OFString &value, const signed long pos=0) const
| get TableTopVerticalPosition (300a,0128)
OFCondition | getTableTopVerticalPosition (Float64 &value, const unsigned long pos=0) const
| get TableTopVerticalPosition (300a,0128)
OFCondition | getTreatmentControlPointDate (OFString &value, const signed long pos=0) const
| get TreatmentControlPointDate (3008,0024)
OFCondition | getTreatmentControlPointTime (OFString &value, const signed long pos=0) const
| get TreatmentControlPointTime (3008,0025)
DRTBeamLimitingDevicePositionSequence & | getBeamLimitingDevicePositionSequence ()
| get BeamLimitingDevicePositionSequence (300a,011a)
const DRTBeamLimitingDevicePositionSequence & | getBeamLimitingDevicePositionSequence () const
| get BeamLimitingDevicePositionSequence (300a,011a)
DRTCorrectedParameterSequence & | getCorrectedParameterSequence ()
| get CorrectedParameterSequence (3008,0068)
const DRTCorrectedParameterSequence & | getCorrectedParameterSequence () const
| get CorrectedParameterSequence (3008,0068)
DRTIonWedgePositionSequence & | getIonWedgePositionSequence ()
| get IonWedgePositionSequence (300a,03ac)
const DRTIonWedgePositionSequence & | getIonWedgePositionSequence () const
| get IonWedgePositionSequence (300a,03ac)
DRTLateralSpreadingDeviceSettingsSequenceInRTIonBeamsSessionRecordModule & | getLateralSpreadingDeviceSettingsSequence ()
| get LateralSpreadingDeviceSettingsSequence (300a,0370)
const DRTLateralSpreadingDeviceSettingsSequenceInRTIonBeamsSessionRecordModule & | getLateralSpreadingDeviceSettingsSequence () const
| get LateralSpreadingDeviceSettingsSequence (300a,0370)
DRTOverrideSequence & | getOverrideSequence ()
| get OverrideSequence (3008,0060)
const DRTOverrideSequence & | getOverrideSequence () const
| get OverrideSequence (3008,0060)
DRTRangeModulatorSettingsSequenceInRTIonBeamsSessionRecordModule & | getRangeModulatorSettingsSequence ()
| get RangeModulatorSettingsSequence (300a,0380)
const DRTRangeModulatorSettingsSequenceInRTIonBeamsSessionRecordModule & | getRangeModulatorSettingsSequence () const
| get RangeModulatorSettingsSequence (300a,0380)
DRTRangeShifterSettingsSequenceInRTIonBeamsSessionRecordModule & | getRangeShifterSettingsSequence ()
| get RangeShifterSettingsSequence (300a,0360)
const DRTRangeShifterSettingsSequenceInRTIonBeamsSessionRecordModule & | getRangeShifterSettingsSequence () const
| get RangeShifterSettingsSequence (300a,0360)
OFCondition | setBeamLimitingDeviceAngle (const OFString &value, const OFBool check=OFTrue)
| set BeamLimitingDeviceAngle (300a,0120)
OFCondition | setBeamLimitingDeviceRotationDirection (const OFString &value, const OFBool check=OFTrue)
| set BeamLimitingDeviceRotationDirection (300a,0121)
OFCondition | setChairHeadFramePosition (const OFString &value, const OFBool check=OFTrue)
| set ChairHeadFramePosition (300a,0151)
OFCondition | setDeliveredMeterset (const OFString &value, const OFBool check=OFTrue)
| set DeliveredMeterset (3008,0044)
OFCondition | setGantryAngle (const OFString &value, const OFBool check=OFTrue)
| set GantryAngle (300a,011e)
OFCondition | setGantryPitchAngle (const Float32 value, const unsigned long pos=0)
| set GantryPitchAngle (300a,014a)
OFCondition | setGantryPitchRotationDirection (const OFString &value, const OFBool check=OFTrue)
| set GantryPitchRotationDirection (300a,014c)
OFCondition | setGantryRotationDirection (const OFString &value, const OFBool check=OFTrue)
| set GantryRotationDirection (300a,011f)
OFCondition | setHeadFixationAngle (const Float32 value, const unsigned long pos=0)
| set HeadFixationAngle (300a,0148)
OFCondition | setKVP (const OFString &value, const OFBool check=OFTrue)
| set KVP (0018,0060)
OFCondition | setMetersetRateDelivered (const Float32 value, const unsigned long pos=0)
| set MetersetRateDelivered (3008,0046)
OFCondition | setMetersetRateSet (const Float32 value, const unsigned long pos=0)
| set MetersetRateSet (3008,0045)
OFCondition | setNominalBeamEnergy (const OFString &value, const OFBool check=OFTrue)
| set NominalBeamEnergy (300a,0114)
OFCondition | setNumberOfPaintings (const OFString &value, const OFBool check=OFTrue)
| set NumberOfPaintings (300a,039a)
OFCondition | setNumberOfScanSpotPositions (const OFString &value, const OFBool check=OFTrue)
| set NumberOfScanSpotPositions (300a,0392)
OFCondition | setPatientSupportAngle (const OFString &value, const OFBool check=OFTrue)
| set PatientSupportAngle (300a,0122)
OFCondition | setPatientSupportRotationDirection (const OFString &value, const OFBool check=OFTrue)
| set PatientSupportRotationDirection (300a,0123)
OFCondition | setReferencedControlPointIndex (const OFString &value, const OFBool check=OFTrue)
| set ReferencedControlPointIndex (300c,00f0)
OFCondition | setScanSpotMetersetsDelivered (const Float32 value, const unsigned long pos=0)
| set ScanSpotMetersetsDelivered (3008,0047)
OFCondition | setScanSpotPositionMap (const Float32 value, const unsigned long pos=0)
| set ScanSpotPositionMap (300a,0394)
OFCondition | setScanSpotPrescribedIndices (const OFString &value, const OFBool check=OFTrue)
| set ScanSpotPrescribedIndices (300a,0391)
OFCondition | setScanSpotReordered (const OFString &value, const OFBool check=OFTrue)
| set ScanSpotReordered (300a,0393)
OFCondition | setScanSpotSizesDelivered (const Float32 value, const unsigned long pos=0)
| set ScanSpotSizesDelivered (300a,0399)
OFCondition | setScanSpotTimeOffset (const Float32 value, const unsigned long pos=0)
| set ScanSpotTimeOffset (300a,038f)
OFCondition | setScanSpotTuneID (const OFString &value, const OFBool check=OFTrue)
| set ScanSpotTuneID (300a,0390)
OFCondition | setScanningSpotSize (const Float32 value, const unsigned long pos=0)
| set ScanningSpotSize (300a,0398)
OFCondition | setSnoutPosition (const Float32 value, const unsigned long pos=0)
| set SnoutPosition (300a,030d)
OFCondition | setSpecifiedMeterset (const OFString &value, const OFBool check=OFTrue)
| set SpecifiedMeterset (3008,0042)
OFCondition | setTableTopLateralPosition (const OFString &value, const OFBool check=OFTrue)
| set TableTopLateralPosition (300a,012a)
OFCondition | setTableTopLongitudinalPosition (const OFString &value, const OFBool check=OFTrue)
| set TableTopLongitudinalPosition (300a,0129)
OFCondition | setTableTopPitchAngle (const Float32 value, const unsigned long pos=0)
| set TableTopPitchAngle (300a,0140)
OFCondition | setTableTopPitchRotationDirection (const OFString &value, const OFBool check=OFTrue)
| set TableTopPitchRotationDirection (300a,0142)
OFCondition | setTableTopRollAngle (const Float32 value, const unsigned long pos=0)
| set TableTopRollAngle (300a,0144)
OFCondition | setTableTopRollRotationDirection (const OFString &value, const OFBool check=OFTrue)
| set TableTopRollRotationDirection (300a,0146)
OFCondition | setTableTopVerticalPosition (const OFString &value, const OFBool check=OFTrue)
| set TableTopVerticalPosition (300a,0128)
OFCondition | setTreatmentControlPointDate (const OFString &value, const OFBool check=OFTrue)
| set TreatmentControlPointDate (3008,0024)
OFCondition | setTreatmentControlPointTime (const OFString &value, const OFBool check=OFTrue)
| set TreatmentControlPointTime (3008,0025)

## Private Attributes

OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DcmDecimalString | BeamLimitingDeviceAngle
| BeamLimitingDeviceAngle (300a,0120) vr=DS, vm=1, type=1C.
DRTBeamLimitingDevicePositionSequence | BeamLimitingDevicePositionSequence
| BeamLimitingDevicePositionSequence (300a,011a) vr=SQ, vm=1, type=1C.
DcmCodeString | BeamLimitingDeviceRotationDirection
| BeamLimitingDeviceRotationDirection (300a,0121) vr=CS, vm=1, type=1C.
DcmDecimalString | ChairHeadFramePosition
| ChairHeadFramePosition (300a,0151) vr=DS, vm=1, type=3.
DRTCorrectedParameterSequence | CorrectedParameterSequence
| CorrectedParameterSequence (3008,0068) vr=SQ, vm=1, type=3.
DcmDecimalString | DeliveredMeterset
| DeliveredMeterset (3008,0044) vr=DS, vm=1, type=1.
DcmDecimalString | GantryAngle
| GantryAngle (300a,011e) vr=DS, vm=1, type=1C.
DcmFloatingPointSingle | GantryPitchAngle
| GantryPitchAngle (300a,014a) vr=FL, vm=1, type=2C.
DcmCodeString | GantryPitchRotationDirection
| GantryPitchRotationDirection (300a,014c) vr=CS, vm=1, type=2C.
DcmCodeString | GantryRotationDirection
| GantryRotationDirection (300a,011f) vr=CS, vm=1, type=1C.
DcmFloatingPointSingle | HeadFixationAngle
| HeadFixationAngle (300a,0148) vr=FL, vm=1, type=3.
DRTIonWedgePositionSequence | IonWedgePositionSequence
| IonWedgePositionSequence (300a,03ac) vr=SQ, vm=1, type=1C.
DcmDecimalString | KVP
| KVP (0018,0060) vr=DS, vm=1, type=1C.
DRTLateralSpreadingDeviceSettingsSequenceInRTIonBeamsSessionRecordModule | LateralSpreadingDeviceSettingsSequence
| LateralSpreadingDeviceSettingsSequence (300a,0370) vr=SQ, vm=1, type=1C.
DcmFloatingPointSingle | MetersetRateDelivered
| MetersetRateDelivered (3008,0046) vr=FL, vm=1, type=3.
DcmFloatingPointSingle | MetersetRateSet
| MetersetRateSet (3008,0045) vr=FL, vm=1, type=3.
DcmDecimalString | NominalBeamEnergy
| NominalBeamEnergy (300a,0114) vr=DS, vm=1, type=1C.
DcmIntegerString | NumberOfPaintings
| NumberOfPaintings (300a,039a) vr=IS, vm=1, type=1C.
DcmIntegerString | NumberOfScanSpotPositions
| NumberOfScanSpotPositions (300a,0392) vr=IS, vm=1, type=1C.
DRTOverrideSequence | OverrideSequence
| OverrideSequence (3008,0060) vr=SQ, vm=1, type=3.
DcmDecimalString | PatientSupportAngle
| PatientSupportAngle (300a,0122) vr=DS, vm=1, type=1C.
DcmCodeString | PatientSupportRotationDirection
| PatientSupportRotationDirection (300a,0123) vr=CS, vm=1, type=1C.
DRTRangeModulatorSettingsSequenceInRTIonBeamsSessionRecordModule | RangeModulatorSettingsSequence
| RangeModulatorSettingsSequence (300a,0380) vr=SQ, vm=1, type=1C.
DRTRangeShifterSettingsSequenceInRTIonBeamsSessionRecordModule | RangeShifterSettingsSequence
| RangeShifterSettingsSequence (300a,0360) vr=SQ, vm=1, type=1C.
DcmIntegerString | ReferencedControlPointIndex
| ReferencedControlPointIndex (300c,00f0) vr=IS, vm=1, type=1.
DcmFloatingPointSingle | ScanSpotMetersetsDelivered
| ScanSpotMetersetsDelivered (3008,0047) vr=FL, vm=1-n, type=1C.
DcmFloatingPointSingle | ScanSpotPositionMap
| ScanSpotPositionMap (300a,0394) vr=FL, vm=1-n, type=1C.
DcmIntegerString | ScanSpotPrescribedIndices
| ScanSpotPrescribedIndices (300a,0391) vr=IS, vm=1-n, type=1C.
DcmCodeString | ScanSpotReordered
| ScanSpotReordered (300a,0393) vr=CS, vm=1, type=3.
DcmFloatingPointSingle | ScanSpotSizesDelivered
| ScanSpotSizesDelivered (300a,0399) vr=FL, vm=2-2n, type=3.
DcmFloatingPointSingle | ScanSpotTimeOffset
| ScanSpotTimeOffset (300a,038f) vr=FL, vm=1-n, type=3.
DcmShortString | ScanSpotTuneID
| ScanSpotTuneID (300a,0390) vr=SH, vm=1, type=1C.
DcmFloatingPointSingle | ScanningSpotSize
| ScanningSpotSize (300a,0398) vr=FL, vm=2, type=3.
DcmFloatingPointSingle | SnoutPosition
| SnoutPosition (300a,030d) vr=FL, vm=1, type=2C.
DcmDecimalString | SpecifiedMeterset
| SpecifiedMeterset (3008,0042) vr=DS, vm=1, type=2.
DcmDecimalString | TableTopLateralPosition
| TableTopLateralPosition (300a,012a) vr=DS, vm=1, type=2C.
DcmDecimalString | TableTopLongitudinalPosition
| TableTopLongitudinalPosition (300a,0129) vr=DS, vm=1, type=2C.
DcmFloatingPointSingle | TableTopPitchAngle
| TableTopPitchAngle (300a,0140) vr=FL, vm=1, type=2C.
DcmCodeString | TableTopPitchRotationDirection
| TableTopPitchRotationDirection (300a,0142) vr=CS, vm=1, type=2C.
DcmFloatingPointSingle | TableTopRollAngle
| TableTopRollAngle (300a,0144) vr=FL, vm=1, type=2C.
DcmCodeString | TableTopRollRotationDirection
| TableTopRollRotationDirection (300a,0146) vr=CS, vm=1, type=2C.
DcmDecimalString | TableTopVerticalPosition
| TableTopVerticalPosition (300a,0128) vr=DS, vm=1, type=2C.
DcmDate | TreatmentControlPointDate
| TreatmentControlPointDate (3008,0024) vr=DA, vm=1, type=1.
DcmTime | TreatmentControlPointTime
| TreatmentControlPointTime (3008,0025) vr=TM, vm=1, type=1.

## Additional Inherited Members

Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor.
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset.
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type.
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type.

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## Item() [1/2]

DRTIonControlPointDeliverySequence::Item::Item | ( | const OFBool | emptyDefaultItem = OFFalse | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

Referenced by Item(), and operator=().

## Item() [2/2]

DRTIonControlPointDeliverySequence::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

References Item().

## Member Function Documentation

## getBeamLimitingDeviceAngle() [1/2]

OFCondition DRTIonControlPointDeliverySequence::Item::getBeamLimitingDeviceAngle | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get BeamLimitingDeviceAngle (300a,0120)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getBeamLimitingDeviceAngle() [2/2]

OFCondition DRTIonControlPointDeliverySequence::Item::getBeamLimitingDeviceAngle | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get BeamLimitingDeviceAngle (300a,0120)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getBeamLimitingDevicePositionSequence() [1/2]

DRTBeamLimitingDevicePositionSequence & DRTIonControlPointDeliverySequence::Item::getBeamLimitingDevicePositionSequence | ( |  | ) |

inline

get BeamLimitingDevicePositionSequence (300a,011a)

Returns
  reference to sequence element

References BeamLimitingDevicePositionSequence.

## getBeamLimitingDevicePositionSequence() [2/2]

const DRTBeamLimitingDevicePositionSequence & DRTIonControlPointDeliverySequence::Item::getBeamLimitingDevicePositionSequence | ( |  | ) | const

inline

get BeamLimitingDevicePositionSequence (300a,011a)

Returns
  const reference to sequence element

References BeamLimitingDevicePositionSequence.

## getBeamLimitingDeviceRotationDirection()

OFCondition DRTIonControlPointDeliverySequence::Item::getBeamLimitingDeviceRotationDirection | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get BeamLimitingDeviceRotationDirection (300a,0121)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getChairHeadFramePosition() [1/2]

OFCondition DRTIonControlPointDeliverySequence::Item::getChairHeadFramePosition | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get ChairHeadFramePosition (300a,0151)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getChairHeadFramePosition() [2/2]

OFCondition DRTIonControlPointDeliverySequence::Item::getChairHeadFramePosition | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ChairHeadFramePosition (300a,0151)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getCorrectedParameterSequence() [1/2]

DRTCorrectedParameterSequence & DRTIonControlPointDeliverySequence::Item::getCorrectedParameterSequence | ( |  | ) |

inline

get CorrectedParameterSequence (3008,0068)

Returns
  reference to sequence element

References CorrectedParameterSequence.

## getCorrectedParameterSequence() [2/2]

const DRTCorrectedParameterSequence & DRTIonControlPointDeliverySequence::Item::getCorrectedParameterSequence | ( |  | ) | const

inline

get CorrectedParameterSequence (3008,0068)

Returns
  const reference to sequence element

References CorrectedParameterSequence.

## getDeliveredMeterset() [1/2]

OFCondition DRTIonControlPointDeliverySequence::Item::getDeliveredMeterset | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get DeliveredMeterset (3008,0044)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getDeliveredMeterset() [2/2]

OFCondition DRTIonControlPointDeliverySequence::Item::getDeliveredMeterset | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get DeliveredMeterset (3008,0044)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getGantryAngle() [1/2]

OFCondition DRTIonControlPointDeliverySequence::Item::getGantryAngle | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get GantryAngle (300a,011e)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getGantryAngle() [2/2]

OFCondition DRTIonControlPointDeliverySequence::Item::getGantryAngle | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get GantryAngle (300a,011e)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getGantryPitchAngle()

OFCondition DRTIonControlPointDeliverySequence::Item::getGantryPitchAngle | ( | Float32 & | value,
|  | const unsigned long | pos = 0 ) const

get GantryPitchAngle (300a,014a)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getGantryPitchRotationDirection()

OFCondition DRTIonControlPointDeliverySequence::Item::getGantryPitchRotationDirection | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get GantryPitchRotationDirection (300a,014c)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getGantryRotationDirection()

OFCondition DRTIonControlPointDeliverySequence::Item::getGantryRotationDirection | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get GantryRotationDirection (300a,011f)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getHeadFixationAngle()

OFCondition DRTIonControlPointDeliverySequence::Item::getHeadFixationAngle | ( | Float32 & | value,
|  | const unsigned long | pos = 0 ) const

get HeadFixationAngle (300a,0148)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getIonWedgePositionSequence() [1/2]

DRTIonWedgePositionSequence & DRTIonControlPointDeliverySequence::Item::getIonWedgePositionSequence | ( |  | ) |

inline

get IonWedgePositionSequence (300a,03ac)

Returns
  reference to sequence element

References IonWedgePositionSequence.

## getIonWedgePositionSequence() [2/2]

const DRTIonWedgePositionSequence & DRTIonControlPointDeliverySequence::Item::getIonWedgePositionSequence | ( |  | ) | const

inline

get IonWedgePositionSequence (300a,03ac)

Returns
  const reference to sequence element

References IonWedgePositionSequence.

## getKVP() [1/2]

OFCondition DRTIonControlPointDeliverySequence::Item::getKVP | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get KVP (0018,0060)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getKVP() [2/2]

OFCondition DRTIonControlPointDeliverySequence::Item::getKVP | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get KVP (0018,0060)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getLateralSpreadingDeviceSettingsSequence() [1/2]

DRTLateralSpreadingDeviceSettingsSequenceInRTIonBeamsSessionRecordModule & DRTIonControlPointDeliverySequence::Item::getLateralSpreadingDeviceSettingsSequence | ( |  | ) |

inline

get LateralSpreadingDeviceSettingsSequence (300a,0370)

Returns
  reference to sequence element

References LateralSpreadingDeviceSettingsSequence.

## getLateralSpreadingDeviceSettingsSequence() [2/2]

const DRTLateralSpreadingDeviceSettingsSequenceInRTIonBeamsSessionRecordModule & DRTIonControlPointDeliverySequence::Item::getLateralSpreadingDeviceSettingsSequence | ( |  | ) | const

inline

get LateralSpreadingDeviceSettingsSequence (300a,0370)

Returns
  const reference to sequence element

References LateralSpreadingDeviceSettingsSequence.

## getMetersetRateDelivered()

OFCondition DRTIonControlPointDeliverySequence::Item::getMetersetRateDelivered | ( | Float32 & | value,
|  | const unsigned long | pos = 0 ) const

get MetersetRateDelivered (3008,0046)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getMetersetRateSet()

OFCondition DRTIonControlPointDeliverySequence::Item::getMetersetRateSet | ( | Float32 & | value,
|  | const unsigned long | pos = 0 ) const

get MetersetRateSet (3008,0045)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getNominalBeamEnergy() [1/2]

OFCondition DRTIonControlPointDeliverySequence::Item::getNominalBeamEnergy | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get NominalBeamEnergy (300a,0114)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getNominalBeamEnergy() [2/2]

OFCondition DRTIonControlPointDeliverySequence::Item::getNominalBeamEnergy | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get NominalBeamEnergy (300a,0114)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getNumberOfPaintings() [1/2]

OFCondition DRTIonControlPointDeliverySequence::Item::getNumberOfPaintings | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get NumberOfPaintings (300a,039a)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getNumberOfPaintings() [2/2]

OFCondition DRTIonControlPointDeliverySequence::Item::getNumberOfPaintings | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

get NumberOfPaintings (300a,039a)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getNumberOfScanSpotPositions() [1/2]

OFCondition DRTIonControlPointDeliverySequence::Item::getNumberOfScanSpotPositions | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get NumberOfScanSpotPositions (300a,0392)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getNumberOfScanSpotPositions() [2/2]

OFCondition DRTIonControlPointDeliverySequence::Item::getNumberOfScanSpotPositions | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

get NumberOfScanSpotPositions (300a,0392)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getOverrideSequence() [1/2]

DRTOverrideSequence & DRTIonControlPointDeliverySequence::Item::getOverrideSequence | ( |  | ) |

inline

get OverrideSequence (3008,0060)

Returns
  reference to sequence element

References OverrideSequence.

## getOverrideSequence() [2/2]

const DRTOverrideSequence & DRTIonControlPointDeliverySequence::Item::getOverrideSequence | ( |  | ) | const

inline

get OverrideSequence (3008,0060)

Returns
  const reference to sequence element

References OverrideSequence.

## getPatientSupportAngle() [1/2]

OFCondition DRTIonControlPointDeliverySequence::Item::getPatientSupportAngle | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get PatientSupportAngle (300a,0122)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getPatientSupportAngle() [2/2]

OFCondition DRTIonControlPointDeliverySequence::Item::getPatientSupportAngle | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get PatientSupportAngle (300a,0122)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getPatientSupportRotationDirection()

OFCondition DRTIonControlPointDeliverySequence::Item::getPatientSupportRotationDirection | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get PatientSupportRotationDirection (300a,0123)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getRangeModulatorSettingsSequence() [1/2]

DRTRangeModulatorSettingsSequenceInRTIonBeamsSessionRecordModule & DRTIonControlPointDeliverySequence::Item::getRangeModulatorSettingsSequence | ( |  | ) |

inline

get RangeModulatorSettingsSequence (300a,0380)

Returns
  reference to sequence element

References RangeModulatorSettingsSequence.

## getRangeModulatorSettingsSequence() [2/2]

const DRTRangeModulatorSettingsSequenceInRTIonBeamsSessionRecordModule & DRTIonControlPointDeliverySequence::Item::getRangeModulatorSettingsSequence | ( |  | ) | const

inline

get RangeModulatorSettingsSequence (300a,0380)

Returns
  const reference to sequence element

References RangeModulatorSettingsSequence.

## getRangeShifterSettingsSequence() [1/2]

DRTRangeShifterSettingsSequenceInRTIonBeamsSessionRecordModule & DRTIonControlPointDeliverySequence::Item::getRangeShifterSettingsSequence | ( |  | ) |

inline

get RangeShifterSettingsSequence (300a,0360)

Returns
  reference to sequence element

References RangeShifterSettingsSequence.

## getRangeShifterSettingsSequence() [2/2]

const DRTRangeShifterSettingsSequenceInRTIonBeamsSessionRecordModule & DRTIonControlPointDeliverySequence::Item::getRangeShifterSettingsSequence | ( |  | ) | const

inline

get RangeShifterSettingsSequence (300a,0360)

Returns
  const reference to sequence element

References RangeShifterSettingsSequence.

## getReferencedControlPointIndex() [1/2]

OFCondition DRTIonControlPointDeliverySequence::Item::getReferencedControlPointIndex | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ReferencedControlPointIndex (300c,00f0)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getReferencedControlPointIndex() [2/2]

OFCondition DRTIonControlPointDeliverySequence::Item::getReferencedControlPointIndex | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

get ReferencedControlPointIndex (300c,00f0)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getScanningSpotSize()

OFCondition DRTIonControlPointDeliverySequence::Item::getScanningSpotSize | ( | Float32 & | value,
|  | const unsigned long | pos = 0 ) const

get ScanningSpotSize (300a,0398)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getScanSpotMetersetsDelivered()

OFCondition DRTIonControlPointDeliverySequence::Item::getScanSpotMetersetsDelivered | ( | Float32 & | value,
|  | const unsigned long | pos = 0 ) const

get ScanSpotMetersetsDelivered (3008,0047)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getScanSpotPositionMap()

OFCondition DRTIonControlPointDeliverySequence::Item::getScanSpotPositionMap | ( | Float32 & | value,
|  | const unsigned long | pos = 0 ) const

get ScanSpotPositionMap (300a,0394)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getScanSpotPrescribedIndices() [1/2]

OFCondition DRTIonControlPointDeliverySequence::Item::getScanSpotPrescribedIndices | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ScanSpotPrescribedIndices (300a,0391)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getScanSpotPrescribedIndices() [2/2]

OFCondition DRTIonControlPointDeliverySequence::Item::getScanSpotPrescribedIndices | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

get ScanSpotPrescribedIndices (300a,0391)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getScanSpotReordered()

OFCondition DRTIonControlPointDeliverySequence::Item::getScanSpotReordered | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ScanSpotReordered (300a,0393)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getScanSpotSizesDelivered()

OFCondition DRTIonControlPointDeliverySequence::Item::getScanSpotSizesDelivered | ( | Float32 & | value,
|  | const unsigned long | pos = 0 ) const

get ScanSpotSizesDelivered (300a,0399)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getScanSpotTimeOffset()

OFCondition DRTIonControlPointDeliverySequence::Item::getScanSpotTimeOffset | ( | Float32 & | value,
|  | const unsigned long | pos = 0 ) const

get ScanSpotTimeOffset (300a,038f)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getScanSpotTuneID()

OFCondition DRTIonControlPointDeliverySequence::Item::getScanSpotTuneID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ScanSpotTuneID (300a,0390)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getSnoutPosition()

OFCondition DRTIonControlPointDeliverySequence::Item::getSnoutPosition | ( | Float32 & | value,
|  | const unsigned long | pos = 0 ) const

get SnoutPosition (300a,030d)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getSpecifiedMeterset() [1/2]

OFCondition DRTIonControlPointDeliverySequence::Item::getSpecifiedMeterset | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get SpecifiedMeterset (3008,0042)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getSpecifiedMeterset() [2/2]

OFCondition DRTIonControlPointDeliverySequence::Item::getSpecifiedMeterset | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get SpecifiedMeterset (3008,0042)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getTableTopLateralPosition() [1/2]

OFCondition DRTIonControlPointDeliverySequence::Item::getTableTopLateralPosition | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get TableTopLateralPosition (300a,012a)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getTableTopLateralPosition() [2/2]

OFCondition DRTIonControlPointDeliverySequence::Item::getTableTopLateralPosition | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get TableTopLateralPosition (300a,012a)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getTableTopLongitudinalPosition() [1/2]

OFCondition DRTIonControlPointDeliverySequence::Item::getTableTopLongitudinalPosition | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get TableTopLongitudinalPosition (300a,0129)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getTableTopLongitudinalPosition() [2/2]

OFCondition DRTIonControlPointDeliverySequence::Item::getTableTopLongitudinalPosition | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get TableTopLongitudinalPosition (300a,0129)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getTableTopPitchAngle()

OFCondition DRTIonControlPointDeliverySequence::Item::getTableTopPitchAngle | ( | Float32 & | value,
|  | const unsigned long | pos = 0 ) const

get TableTopPitchAngle (300a,0140)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getTableTopPitchRotationDirection()

OFCondition DRTIonControlPointDeliverySequence::Item::getTableTopPitchRotationDirection | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get TableTopPitchRotationDirection (300a,0142)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getTableTopRollAngle()

OFCondition DRTIonControlPointDeliverySequence::Item::getTableTopRollAngle | ( | Float32 & | value,
|  | const unsigned long | pos = 0 ) const

get TableTopRollAngle (300a,0144)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getTableTopRollRotationDirection()

OFCondition DRTIonControlPointDeliverySequence::Item::getTableTopRollRotationDirection | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get TableTopRollRotationDirection (300a,0146)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getTableTopVerticalPosition() [1/2]

OFCondition DRTIonControlPointDeliverySequence::Item::getTableTopVerticalPosition | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get TableTopVerticalPosition (300a,0128)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getTableTopVerticalPosition() [2/2]

OFCondition DRTIonControlPointDeliverySequence::Item::getTableTopVerticalPosition | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get TableTopVerticalPosition (300a,0128)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getTreatmentControlPointDate()

OFCondition DRTIonControlPointDeliverySequence::Item::getTreatmentControlPointDate | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get TreatmentControlPointDate (3008,0024)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getTreatmentControlPointTime()

OFCondition DRTIonControlPointDeliverySequence::Item::getTreatmentControlPointTime | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get TreatmentControlPointTime (3008,0025)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## isEmpty()

OFBool DRTIonControlPointDeliverySequence::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## isValid()

OFBool DRTIonControlPointDeliverySequence::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## operator=()

Item & DRTIonControlPointDeliverySequence::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

References Item().

## read()

OFCondition DRTIonControlPointDeliverySequence::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## setBeamLimitingDeviceAngle()

OFCondition DRTIonControlPointDeliverySequence::Item::setBeamLimitingDeviceAngle | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set BeamLimitingDeviceAngle (300a,0120)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setBeamLimitingDeviceRotationDirection()

OFCondition DRTIonControlPointDeliverySequence::Item::setBeamLimitingDeviceRotationDirection | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set BeamLimitingDeviceRotationDirection (300a,0121)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setChairHeadFramePosition()

OFCondition DRTIonControlPointDeliverySequence::Item::setChairHeadFramePosition | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ChairHeadFramePosition (300a,0151)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setDeliveredMeterset()

OFCondition DRTIonControlPointDeliverySequence::Item::setDeliveredMeterset | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set DeliveredMeterset (3008,0044)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setGantryAngle()

OFCondition DRTIonControlPointDeliverySequence::Item::setGantryAngle | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set GantryAngle (300a,011e)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setGantryPitchAngle()

OFCondition DRTIonControlPointDeliverySequence::Item::setGantryPitchAngle | ( | const Float32 | value,
|  | const unsigned long | pos = 0 )

set GantryPitchAngle (300a,014a)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## setGantryPitchRotationDirection()

OFCondition DRTIonControlPointDeliverySequence::Item::setGantryPitchRotationDirection | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set GantryPitchRotationDirection (300a,014c)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setGantryRotationDirection()

OFCondition DRTIonControlPointDeliverySequence::Item::setGantryRotationDirection | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set GantryRotationDirection (300a,011f)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setHeadFixationAngle()

OFCondition DRTIonControlPointDeliverySequence::Item::setHeadFixationAngle | ( | const Float32 | value,
|  | const unsigned long | pos = 0 )

set HeadFixationAngle (300a,0148)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## setKVP()

OFCondition DRTIonControlPointDeliverySequence::Item::setKVP | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set KVP (0018,0060)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setMetersetRateDelivered()

OFCondition DRTIonControlPointDeliverySequence::Item::setMetersetRateDelivered | ( | const Float32 | value,
|  | const unsigned long | pos = 0 )

set MetersetRateDelivered (3008,0046)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## setMetersetRateSet()

OFCondition DRTIonControlPointDeliverySequence::Item::setMetersetRateSet | ( | const Float32 | value,
|  | const unsigned long | pos = 0 )

set MetersetRateSet (3008,0045)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## setNominalBeamEnergy()

OFCondition DRTIonControlPointDeliverySequence::Item::setNominalBeamEnergy | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set NominalBeamEnergy (300a,0114)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setNumberOfPaintings()

OFCondition DRTIonControlPointDeliverySequence::Item::setNumberOfPaintings | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set NumberOfPaintings (300a,039a)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setNumberOfScanSpotPositions()

OFCondition DRTIonControlPointDeliverySequence::Item::setNumberOfScanSpotPositions | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set NumberOfScanSpotPositions (300a,0392)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setPatientSupportAngle()

OFCondition DRTIonControlPointDeliverySequence::Item::setPatientSupportAngle | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set PatientSupportAngle (300a,0122)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setPatientSupportRotationDirection()

OFCondition DRTIonControlPointDeliverySequence::Item::setPatientSupportRotationDirection | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set PatientSupportRotationDirection (300a,0123)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setReferencedControlPointIndex()

OFCondition DRTIonControlPointDeliverySequence::Item::setReferencedControlPointIndex | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ReferencedControlPointIndex (300c,00f0)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setScanningSpotSize()

OFCondition DRTIonControlPointDeliverySequence::Item::setScanningSpotSize | ( | const Float32 | value,
|  | const unsigned long | pos = 0 )

set ScanningSpotSize (300a,0398)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=2

Returns
  status, EC_Normal if successful, an error code otherwise

## setScanSpotMetersetsDelivered()

OFCondition DRTIonControlPointDeliverySequence::Item::setScanSpotMetersetsDelivered | ( | const Float32 | value,
|  | const unsigned long | pos = 0 )

set ScanSpotMetersetsDelivered (3008,0047)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1-n

Returns
  status, EC_Normal if successful, an error code otherwise

## setScanSpotPositionMap()

OFCondition DRTIonControlPointDeliverySequence::Item::setScanSpotPositionMap | ( | const Float32 | value,
|  | const unsigned long | pos = 0 )

set ScanSpotPositionMap (300a,0394)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1-n

Returns
  status, EC_Normal if successful, an error code otherwise

## setScanSpotPrescribedIndices()

OFCondition DRTIonControlPointDeliverySequence::Item::setScanSpotPrescribedIndices | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ScanSpotPrescribedIndices (300a,0391)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1-n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setScanSpotReordered()

OFCondition DRTIonControlPointDeliverySequence::Item::setScanSpotReordered | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ScanSpotReordered (300a,0393)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setScanSpotSizesDelivered()

OFCondition DRTIonControlPointDeliverySequence::Item::setScanSpotSizesDelivered | ( | const Float32 | value,
|  | const unsigned long | pos = 0 )

set ScanSpotSizesDelivered (300a,0399)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=2-2n

Returns
  status, EC_Normal if successful, an error code otherwise

## setScanSpotTimeOffset()

OFCondition DRTIonControlPointDeliverySequence::Item::setScanSpotTimeOffset | ( | const Float32 | value,
|  | const unsigned long | pos = 0 )

set ScanSpotTimeOffset (300a,038f)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1-n

Returns
  status, EC_Normal if successful, an error code otherwise

## setScanSpotTuneID()

OFCondition DRTIonControlPointDeliverySequence::Item::setScanSpotTuneID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ScanSpotTuneID (300a,0390)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (SH) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setSnoutPosition()

OFCondition DRTIonControlPointDeliverySequence::Item::setSnoutPosition | ( | const Float32 | value,
|  | const unsigned long | pos = 0 )

set SnoutPosition (300a,030d)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## setSpecifiedMeterset()

OFCondition DRTIonControlPointDeliverySequence::Item::setSpecifiedMeterset | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set SpecifiedMeterset (3008,0042)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setTableTopLateralPosition()

OFCondition DRTIonControlPointDeliverySequence::Item::setTableTopLateralPosition | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set TableTopLateralPosition (300a,012a)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setTableTopLongitudinalPosition()

OFCondition DRTIonControlPointDeliverySequence::Item::setTableTopLongitudinalPosition | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set TableTopLongitudinalPosition (300a,0129)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setTableTopPitchAngle()

OFCondition DRTIonControlPointDeliverySequence::Item::setTableTopPitchAngle | ( | const Float32 | value,
|  | const unsigned long | pos = 0 )

set TableTopPitchAngle (300a,0140)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## setTableTopPitchRotationDirection()

OFCondition DRTIonControlPointDeliverySequence::Item::setTableTopPitchRotationDirection | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set TableTopPitchRotationDirection (300a,0142)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setTableTopRollAngle()

OFCondition DRTIonControlPointDeliverySequence::Item::setTableTopRollAngle | ( | const Float32 | value,
|  | const unsigned long | pos = 0 )

set TableTopRollAngle (300a,0144)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## setTableTopRollRotationDirection()

OFCondition DRTIonControlPointDeliverySequence::Item::setTableTopRollRotationDirection | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set TableTopRollRotationDirection (300a,0146)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setTableTopVerticalPosition()

OFCondition DRTIonControlPointDeliverySequence::Item::setTableTopVerticalPosition | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set TableTopVerticalPosition (300a,0128)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setTreatmentControlPointDate()

OFCondition DRTIonControlPointDeliverySequence::Item::setTreatmentControlPointDate | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set TreatmentControlPointDate (3008,0024)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DA) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setTreatmentControlPointTime()

OFCondition DRTIonControlPointDeliverySequence::Item::setTreatmentControlPointTime | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set TreatmentControlPointTime (3008,0025)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (TM) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## write()

OFCondition DRTIonControlPointDeliverySequence::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drticpds.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0